%global stackname message_generation
%global gitrev 9818f3f
Name:           ros-%{rosrelease}-message-generation
Version:        0.2.9
Release:        1
Summary:        ROS Message Generation

License:        BSD
URL:            http://ros.org/
#wget --content-disposition https://github.com/ros/message_generation/tarball/0.2.9
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}
Provides:       ros-message-generation = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-catkin
BuildRequires:  ros-release

Requires:       ros-%{rosrelease}-gencpp
Requires:       ros-%{rosrelease}-genmsg
Requires:       ros-%{rosrelease}-genlisp
Requires:       ros-%{rosrelease}-genpy

%description
%{name} is a metapackage that provides all of the message-generation facilties
for ROS

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
export ROS_PACKAGE_PATH=/usr
source %{_datadir}/genmsg/setup.sh
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF .. -DCMAKE_PREFIX_PATH=/usr -DCATKIN_GLOBAL_LIB_DESTINATION=%{_lib} \
  -DCATKIN_GLOBAL_LIBEXEC_DESTINATION=%{_libexecdir}
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{stackname}.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

%files
%doc
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc

%changelog
* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 0.4.10-1
- Update to release 0.4.10
